Subject: lengths and header digest error recovery

From: [email-masked]
Date: Fri, 9 Mar 2001 18:02:37 +0200

Somesh,

All protocols that have variable length elements and a check suffer from
the same syndrome.
You have to take some elements as good and try to recover. This holdsfor
those protocols that have length as demarcation element and for those that
have framing patterns for demarcation as framing patterns can also be bad.
You recover at another frame boundary or another marker.

I our case it might be possible to add  to the level of confidence in the
Next-Qualifier even within
a bad block through parity bits or a specific pattern. This might enable
implementations that don't use markers to reduce the number of times they
have to resort to connection restart.  But I am not sure that it is worth
the effort.

Regards,
Julo